// Copyright 2000-2019 JetBrains s.r.o. Use of this source code is governed by the Apache 2.0 license that can be found in the LICENSE file.
package icons;

import com.intellij.ui.IconManager;

import javax.swing.*;

import org.jetbrains.annotations.ApiStatus.ScheduledForRemoval;

/**
 * NOTE THIS FILE IS AUTO-GENERATED
 * DO NOT EDIT IT BY HAND, run "Generate icon classes" configuration instead
 */
public final class JetgroovyIcons {
  private static Icon load(String path) {
    return IconManager.getInstance().getIcon(path, JetgroovyIcons.class);
  }

  private static Icon load(String path, Class<?> clazz) {
    return IconManager.getInstance().getIcon(path, clazz);
  }


  public final static class Groovy {
    /** 16x16 */ public static final Icon AbstractClass = load("/icons/groovy/abstractClass.svg");
    /** 16x16 */ public static final Icon AbstractField = load("/icons/groovy/abstractField.svg");
    /** 16x16 */ public static final Icon AbstractMethod = load("/icons/groovy/abstractMethod.svg");
    /** 16x16 */ public static final Icon AbstractProperty = load("/icons/groovy/abstractProperty.svg");
    /** 16x16 */ public static final Icon AnnotationType = load("/icons/groovy/annotationType.svg");
    /** 16x16 */ public static final Icon Class = load("/icons/groovy/class.svg");
    /** 16x16 */ public static final Icon ClassInitializer = load("/icons/groovy/classInitializer.svg");
    /** 16x16 */ public static final Icon Enum = load("/icons/groovy/enum.svg");
    /** 16x16 */ public static final Icon Field = load("/icons/groovy/field.svg");
    /** 16x16 */ public static final Icon Gant_16x16 = load("/icons/groovy/gant_16x16.svg");
    /** 16x16 */ public static final Icon Gant_sdk = load("/icons/groovy/gant_sdk.svg");
    /** 16x16 */ public static final Icon Gant_target = load("/icons/groovy/gant_target.svg");
    /** 13x13 */ public static final Icon Groovy_13x13 = load("/icons/groovy/groovy_13x13.svg");
    /** 16x16 */ public static final Icon Groovy_16x16 = load("/icons/groovy/groovy_16x16.svg");
    /** 16x16 */ public static final Icon Groovy_outsideSources = load("/icons/groovy/groovy_outsideSources.svg");
    /** 16x16 */ public static final Icon GroovyDoc = load("/icons/groovy/GroovyDoc.svg");
    /** 16x16 */ public static final Icon GroovyFile = load("/icons/groovy/groovyFile.svg");
    /** 16x16 */ public static final Icon Interface = load("/icons/groovy/interface.svg");
    /** 16x16 */ public static final Icon Method = load("/icons/groovy/method.svg");
    /** 16x16 */ public static final Icon Property = load("/icons/groovy/property.svg");
    /** 16x16 */ public static final Icon Trait = load("/icons/groovy/trait.svg");
    /** 16x16 */ public static final Icon Variable = load("/icons/groovy/variable.svg");

    /** @deprecated to be removed in IDEA 2020 */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2020.1")
    public static final Icon Ant_task = load("/icons/groovy/ant_task.png");

    /** @deprecated to be removed in IDEA 2020 - use AllIcons.Nodes.Property */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2020.1")
    public static final Icon DynamicProperty = load("/nodes/property.svg", com.intellij.icons.AllIcons.class);

    /** @deprecated to be removed in IDEA 2020 */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2020.1")
    public static final Icon DynamicProperty_13 = load("/icons/groovy/dynamicProperty_13.png");

    /** @deprecated to be removed in IDEA 2020 */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2020.1")
    public static final Icon Groovy_32x32 = load("/icons/groovy/groovy_32x32.png");

  }

  public final static class Mvc {
    /** 16x16 */ public static final Icon Action_method = load("/icons/mvc/action_method.svg");
    /** 16x16 */ public static final Icon Groovy_mvc_plugin = load("/icons/mvc/groovy_mvc_plugin.svg");

    /** @deprecated to be removed in IDEA 2020 - use AllIcons.Nodes.ConfigFolder */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2020.1")
    public static final Icon Config_folder_closed = load("/nodes/configFolder.svg", com.intellij.icons.AllIcons.class);

    /** @deprecated to be removed in IDEA 2020 - use AllIcons.Nodes.Controller */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2020.1")
    public static final Icon Controller = load("/nodes/controller.svg", com.intellij.icons.AllIcons.class);

    /** @deprecated to be removed in IDEA 2020 - use AllIcons.Nodes.DataTables */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2020.1")
    public static final Icon Domain_class = load("/nodes/DataTables.svg", com.intellij.icons.AllIcons.class);

    /** @deprecated to be removed in IDEA 2020 - use AllIcons.Nodes.Models */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2020.1")
    public static final Icon ModelsNode = load("/nodes/models.svg", com.intellij.icons.AllIcons.class);

    /** @deprecated to be removed in IDEA 2020 - use AllIcons.FileTypes.Config */
    @SuppressWarnings("unused")
    @Deprecated
    @ScheduledForRemoval(inVersion = "2020.1")
    public static final Icon Service = load("/fileTypes/config.svg", com.intellij.icons.AllIcons.class);

  }
}
